/*
	
	CSS Rules

		selector {
			property: value;
		}

*/

/*Universal Selector - targets all elements*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*Type Selector - targets elements with the specified type/tag name*/
/*tag-name*/
h1 {
	color: pink !important;
}

/*ID Selector - targets elements according to its id attribute; ideally used for targeting a unique element*/
/* #id_selector*/
#zuitt-motto {
	letter-spacing: 5px;
}

h3 {
	letter-spacing: 25px;
}

/*Class Selector - targets elements according to its class attribute; ideally used for targeting multiple elements at once*/
/* .class_name */
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector - targets elements with a specified element attribute;*/
/*tagname[attribute] */
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}


/*Adjacent Sibling Selector*/
/* sibling_selector + target_selector */
/* [+] separates two selectors and matches the second element only if it immediately follows the first element, and both are children of the same parent element */

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
/* parent_selector[space] target_selector */
/*combines two selectors such that elements matched by the second selector are selected if they have an ancestor element matching the first selector*/

#bootcamp-learning-list li {
	color: green;
}

/*Child Selector*/
/*selector [>] target_selector*/
h2 ~ a {
	text-decoration: none;
}

body > section > form > label {
	color: rgb(128,0,128);
}

h2, h3 {
	color:  brown;
}

ol {
	list-style: none;
}